Page MenuHomePhabricator

Update Help:Links#External_link_icons section on mediawiki.org
Closed, ResolvedPublic

Event Timeline

polybuildr raised the priority of this task from to Needs Triage.
polybuildr updated the task description. (Show Details)
polybuildr added a subscriber: polybuildr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2015, 4:37 PM

Not sure which project this belongs to...

Krenair renamed this task from Fix broken Help:Links#External_link_icons section on mediawiki.org to Update Help:Links#External_link_icons section on mediawiki.org.May 19 2015, 4:54 PM
Krenair updated the task description. (Show Details)
Krenair added a subscriber: matmarex.

Apart from URLs being dead (bits.wikimedia.org/skins-1.17/ not on any servers anymore as 1.17 is ancient history), the documentation is outdated since removing lots of icons in https://gerrit.wikimedia.org/r/#/c/123817/ etc. and anybody could update that wikipage.

See http://git.wikimedia.org/tree/mediawiki%2Fskins%2FVector.git/17dd072f3b595914230133409d0a7c138a5046a7/images for what is still there by default in the Vector skin.

The remaining item could instead link to Git/Gitblit I guess: like http://git.wikimedia.org/raw/mediawiki%2Fskins%2FVector.git/17dd072f3b595914230133409d0a7c138a5046a7/images%2Fexternal-link-ltr-icon.png

Some skins still use fancy icons, for example MonoBook: https://www.mediawiki.org/wiki/Help:Links?useskin=monobook#External_link_icons. The 'lock' and 'news' icons are gone everywhere, though.

Current code for this is in [mediawiki/core]/resources/src/mediawiki.skinning/content.externallinks.css, and the images in [mediawiki/core]/resources/src/mediawiki.skinning/images. These are only loaded if the skin loads this RL module explicitly.

matmarex removed a subscriber: matmarex.May 19 2015, 5:13 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 2 2016, 12:33 PM
Srinathnairt removed Srinathnairt as the assignee of this task.Oct 2 2016, 2:09 PM
Srinathnairt added a subscriber: Srinathnairt.

I would like to mentor this in GCI with support from others (if available).

I would like to mentor this in GCI with support from others (if available).

I can support you, @srishakatux.

Considering that the page still loads the same icon for different actions, i have deleted all other icons and test links, but retained the list of triggers, so the viewers can still see what are the possible actions when they click on a certain external link. Screenshot of the table can be found below.

Trizek-WMF closed this task as Resolved.Dec 8 2016, 12:47 PM
Trizek-WMF assigned this task to ISBetrayal.

Congrats for solving that task, @ISBetrayal!